Freeciv-3.3: worklist_data Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
worklist_data Struct Reference

## Data Fields

int | global_worklist_id
struct city * | pcity
GtkWidget * | editor
GtkListStore * | src
GtkListStore * | dst
GtkWidget * | src_view
GtkWidget * | dst_view
GtkTreeSelection * | src_selection
GtkTreeSelection * | dst_selection
GtkTreeViewColumn * | src_col
GtkTreeViewColumn * | dst_col
GtkWidget * | add_cmd
GtkWidget * | change_cmd
GtkWidget * | help_cmd
GtkWidget * | up_cmd
GtkWidget * | down_cmd
GtkWidget * | prepend_cmd
GtkWidget * | append_cmd
GtkWidget * | remove_cmd
bool | future
GMenu * | menu
int | menu_size
GActionGroup * | group

## Detailed Description

Definition at line 304 of file wldlg.c.

## Field Documentation

## ◆ add_cmd

GtkWidget* worklist_data::add_cmd

Definition at line 316 of file wldlg.c.

Referenced by create_worklist(), and refresh_worklist().

## ◆ append_cmd

GtkWidget * worklist_data::append_cmd

Definition at line 317 of file wldlg.c.

Referenced by create_worklist(), and src_selection_callback().

## ◆ change_cmd

GtkWidget * worklist_data::change_cmd

Definition at line 316 of file wldlg.c.

Referenced by create_worklist(), reset_global_worklist(), and src_selection_callback().

## ◆ down_cmd

GtkWidget * worklist_data::down_cmd

Definition at line 317 of file wldlg.c.

Referenced by create_worklist(), and dst_selection_callback().

## ◆ dst

GtkListStore * worklist_data::dst

Definition at line 310 of file wldlg.c.

Referenced by commit_worklist(), create_worklist(), drag_drop(), dst_key_press_callback(), dst_key_press_callback(), dst_row_callback(), dst_selection_callback(), menu_item_callback(), menu_item_callback(), queue_bubble_down(), queue_bubble_up(), queue_insert(), refresh_worklist(), reset_city_worklist(), reset_global_worklist(), and src_row_callback().

## ◆ dst_col

GtkTreeViewColumn * worklist_data::dst_col

Definition at line 314 of file wldlg.c.

Referenced by create_worklist(), reset_city_worklist(), and reset_global_worklist().

## ◆ dst_selection

GtkTreeSelection * worklist_data::dst_selection

Definition at line 312 of file wldlg.c.

Referenced by create_worklist(), dst_key_press_callback(), and dst_key_press_callback().

## ◆ dst_view

GtkWidget * worklist_data::dst_view

Definition at line 311 of file wldlg.c.

Referenced by create_worklist(), queue_bubble_down(), queue_bubble_up(), queue_insert(), queue_remove(), refresh_worklist(), src_key_press_callback(), src_key_press_callback(), and src_row_callback().

## ◆ editor

GtkWidget * worklist_data::editor

Definition at line 308 of file wldlg.c.

Referenced by commit_worklist(), create_worklist(), and future_callback().

## ◆ future

bool worklist_data::future

Definition at line 319 of file wldlg.c.

Referenced by create_worklist(), future_callback(), and refresh_worklist().

## ◆ global_worklist_id

int worklist_data::global_worklist_id

Definition at line 305 of file wldlg.c.

Referenced by commit_worklist(), create_worklist(), refresh_worklist(), reset_city_worklist(), reset_global_worklist(), and worklist_destroy().

## ◆ group

GActionGroup * worklist_data::group

Definition at line 311 of file wldlg.c.

Referenced by create_wl_menu(), and create_worklist().

## ◆ help_cmd

GtkWidget * worklist_data::help_cmd

Definition at line 316 of file wldlg.c.

Referenced by create_worklist(), and src_selection_callback().

## ◆ menu

GMenu * worklist_data::menu

Definition at line 309 of file wldlg.c.

Referenced by create_wl_menu(), and create_worklist().

## ◆ menu_size

int worklist_data::menu_size

Definition at line 310 of file wldlg.c.

Referenced by create_wl_menu().

## ◆ pcity

struct city * worklist_data::pcity

Definition at line 306 of file wldlg.c.

Referenced by change_callback(), commit_worklist(), create_worklist(), refresh_worklist(), reset_city_worklist(), reset_global_worklist(), and src_selection_callback().

## ◆ prepend_cmd

GtkWidget * worklist_data::prepend_cmd

Definition at line 317 of file wldlg.c.

Referenced by create_worklist(), and src_selection_callback().

## ◆ remove_cmd

GtkWidget * worklist_data::remove_cmd

Definition at line 317 of file wldlg.c.

Referenced by create_worklist(), and dst_selection_callback().

## ◆ src

GtkListStore * worklist_data::src

Definition at line 310 of file wldlg.c.

Referenced by create_worklist(), drag_prepare(), queue_insert(), refresh_worklist(), reset_city_worklist(), reset_global_worklist(), and src_row_callback().

## ◆ src_col

GtkTreeViewColumn * worklist_data::src_col

Definition at line 314 of file wldlg.c.

Referenced by create_worklist(), reset_city_worklist(), and reset_global_worklist().

## ◆ src_selection

GtkTreeSelection * worklist_data::src_selection

Definition at line 312 of file wldlg.c.

Referenced by change_callback(), create_worklist(), drag_prepare(), help_callback(), queue_insert(), and refresh_worklist().

## ◆ src_view

GtkWidget * worklist_data::src_view

Definition at line 311 of file wldlg.c.

Referenced by create_worklist(), refresh_worklist(), reset_city_worklist(), and reset_global_worklist().

## ◆ up_cmd

GtkWidget * worklist_data::up_cmd

Definition at line 317 of file wldlg.c.

Referenced by create_worklist(), and dst_selection_callback().